Avro C#

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
Avro.Generic.GenericFixed Class Reference

The default type used by GenericReader and GenericWriter for objects for FixedSchema More...

Inheritance diagram for Avro.Generic.GenericFixed:

## Public Member Functions
| GenericFixed (FixedSchema schema)
| Initializes a new instance of the GenericFixed class. More...
| GenericFixed (FixedSchema schema, byte[] value)
| Initializes a new instance of the GenericFixed class with a value. More...
override bool | Equals (object obj)
override int | GetHashCode ()

## Protected Member Functions
| GenericFixed (uint size)
| Initializes a new instance of the GenericFixed class with a size. More...

## Protected Attributes
readonly byte[] | value
| Value of this fixed. More...

## Properties
FixedSchema | Schema`[get, set]`
| Schema for this fixed. More...
byte[] | Value`[get, set]`
| Value of this fixed. More...

## Detailed Description

The default type used by GenericReader and GenericWriter for objects for FixedSchema

## Constructor & Destructor Documentation

## ◆ GenericFixed() [1/3]

Avro.Generic.GenericFixed.GenericFixed | ( | FixedSchema | schema | ) |
| inline

Initializes a new instance of the GenericFixed class.

Parameters

  schema | Schema for this fixed.

## ◆ GenericFixed() [2/3]

Avro.Generic.GenericFixed.GenericFixed | ( | FixedSchema | schema,
|  | byte[] | value
| ) |  |
| inline

Initializes a new instance of the GenericFixed class with a value.

Parameters

  schema | Schema for this fixed.
  value | Value of the fixed.

## ◆ GenericFixed() [3/3]

Avro.Generic.GenericFixed.GenericFixed | ( | uint | size | ) |
| inline protected

Initializes a new instance of the GenericFixed class with a size.

Parameters

  size | Size of the fixed in bytes.

## Member Data Documentation

## ◆ value

readonly byte [] Avro.Generic.GenericFixed.value
| protected

Value of this fixed.

## Property Documentation

## ◆ Schema

FixedSchema Avro.Generic.GenericFixed.Schema
| get set

Schema for this fixed.

## ◆ Value

byte [] Avro.Generic.GenericFixed.Value
| get set

Value of this fixed.

The documentation for this class was generated from the following file:

- src/apache/main/Generic/GenericFixed.cs